//****************************************************************
// You are free to copy the "Folder-Tree" script as long as you
// keep this copyright notice:
// Script found in: http://www.geocities.com/Paris/LeftBank/2178/
// Author: Marcelino Alves Martins (martins@hks.com) December '97.
//****************************************************************

// START - Mozilla Enable Browser detect logic
// work around bug in xpcdom Mozilla 0.9.1
window.saveNavigator = window.navigator;

// Handy functions
function noop() {}
function noerror() { return true; }

function defaultOnError(msg, url, line)
{
	alert("defaultOnError: Error in Browser detection.");
}

// Display Error page...
function reportError(message)
{
	alert("reportError: Error in Browser detection.");
}

function pageRequires(cond, msg, redirectTo)
{
	if (!cond)
	{
		msg = 'This page requires ' + msg;
		document.location = redirectTo + '?msg=' + escape(msg);
	}
	// return cond so can use in <A> onclick handlers to exclude browsers
	// from pages they do not support.
	return cond;
}

function detectBrowser()
{
	var oldOnError = window.onerror;
	var element = null;

	window.onerror = defaultOnError;

	navigator.OS		= '';
	navigator.version	= 0;
	navigator.org		= '';
	navigator.family	= '';

	var platform;
	if (typeof(window.navigator.platform) != 'undefined')
	{
		platform = window.navigator.platform.toLowerCase();
		if (platform.indexOf('win') != -1)
			navigator.OS = 'win';
		else if (platform.indexOf('mac') != -1)
			navigator.OS = 'mac';
		else if (platform.indexOf('unix') != -1 || platform.indexOf('linux') != -1 || platform.indexOf('sun') != -1)
			navigator.OS = 'nix';
	}

	var i = 0;
	var ua = window.navigator.userAgent.toLowerCase();

	if (ua.indexOf('opera') != -1)
	{
		i = ua.indexOf('opera');
		navigator.family	= 'opera';
		navigator.org		= 'opera';
		navigator.version	= parseFloat('0' + ua.substr(i+6), 10);
	}
	else if ((i = ua.indexOf('msie')) != -1)
	{
		navigator.org		= 'microsoft';
		navigator.version	= parseFloat('0' + ua.substr(i+5), 10);

		if (navigator.version < 4)
			navigator.family = 'ie3';
		else
			navigator.family = 'ie4'
	}
	else if (typeof(window.controllers) != 'undefined' && typeof(window.locationbar) != 'undefined')
	{
		i = ua.lastIndexOf('/')
		navigator.version = parseFloat('0' + ua.substr(i+1), 10);
		navigator.family = 'gecko';

		if (ua.indexOf('netscape') != -1)
			navigator.org = 'netscape';
		else if (ua.indexOf('compuserve') != -1)
			navigator.org = 'compuserve';
		else
			navigator.org = 'mozilla';
	}
	else if ((ua.indexOf('mozilla') !=-1) && (ua.indexOf('spoofer')==-1) && (ua.indexOf('compatible') == -1) && (ua.indexOf('opera')==-1)&& (ua.indexOf('webtv')==-1) && (ua.indexOf('hotjava')==-1))
	{
	    var is_major = parseFloat(navigator.appVersion);

		if (is_major < 4)
			navigator.version = is_major;
		else
		{
			i = ua.lastIndexOf('/')
			navigator.version = parseFloat('0' + ua.substr(i+1), 10);
		}
		navigator.org = 'netscape';
		navigator.family = 'nn' + parseInt(navigator.appVersion);
	}
	else if ((i = ua.indexOf('aol')) != -1 )
	{
		// aol
		navigator.family	= 'aol';
		navigator.org		= 'aol';
		navigator.version	= parseFloat('0' + ua.substr(i+4), 10);
	}

	navigator.DOMCORE1	= (typeof(document.getElementsByTagName) != 'undefined' && typeof(document.createElement) != 'undefined');
	navigator.DOMCORE2	= (navigator.DOMCORE1 && typeof(document.getElementById) != 'undefined' && typeof(document.createElementNS) != 'undefined');
	navigator.DOMHTML	= (navigator.DOMCORE1 && typeof(document.getElementById) != 'undefined');
	navigator.DOMCSS1	= ( (navigator.family == 'gecko') || (navigator.family == 'ie4') );

	navigator.DOMCSS2   = false;
	if (navigator.DOMCORE1)
	{
		element = document.createElement('p');
		navigator.DOMCSS2 = (typeof(element.style) == 'object');
	}
	navigator.DOMEVENTS	= (typeof(document.createEvent) != 'undefined');
	window.onerror = oldOnError;
}
// END - Mozilla Enable Browser detect logic

//Pre-cache Image files
var I1= new Image(16,22); I1.src= "/themes/default/ftv2blank.gif"
var I2= new Image(16,22); I2.src= "/themes/default/ftv2node.gif"
var I3= new Image(16,22); I3.src= "/themes/default/ftv2lastnode.gif"
var I4= new Image(16,22); I4.src= "/themes/default/ftv2vertline.gif"
var I5= new Image(16,22); I5.src= "/themes/default/ftv2plastnode.gif"
var I6= new Image(16,22); I6.src= "/themes/default/ftv2pnode.gif"
var I7= new Image(16,22); I7.src= "/themes/default/ftv2mlastnode.gif"
var I8= new Image(16,22); I8.src= "/themes/default/ftv2mnode.gif"
var I9= new Image(24,22); I9.src= "/themes/default/ca.gif"
var I10= new Image(24,22); I10.src= "/themes/default/computer.gif"
var I11= new Image(24,22); I11.src= "/themes/default/group.gif"
var I12= new Image(24,22); I12.src= "/themes/default/syslog.gif"
var I13= new Image(24,22); I13.src= "/themes/default/otherlogs.gif"
var I14= new Image(24,22); I14.src= "/themes/default/logfile.gif"
var I15= new Image(24,22); I15.src= "/themes/default/rtm.gif"
var I16= new Image(24,22); I16.src= "/themes/default/fv.gif"
var I17= new Image(24,22); I17.src= "/themes/default/probrep.gif"
var I18= new Image(24,22); I18.src= "/themes/default/event.gif"
var I19= new Image(24,22); I19.src= "/themes/default/config.gif"
var I20= new Image(24,22); I20.src= "/themes/default/probcomp.gif"
var I21= new Image(24,22); I21.src= "/themes/default/probsl.gif"
var I22= new Image(24,22); I22.src= "/themes/default/filedone.gif"
var I23= new Image(24,22); I23.src= "/themes/default/analog.gif"
var I24= new Image(24,22); I24.src= "/themes/default/fileread.gif"
var I25= new Image(24,22); I25.src= "/themes/default/readlog.gif"
var I26= new Image(24,22); I26.src= "/themes/default/dnode.gif"
var I27= new Image(24,22); I27.src= "/themes/default/catopen.gif"
var I28= new Image(24,22); I28.src= "/themes/default/catclosed.gif"
var I29= new Image(24,22); I29.src= "/themes/default/probgrp.gif"
var I30= new Image(24,22); I30.src= "/themes/default/accord.gif"
var I31= new Image(24,22); I31.src= "/themes/default/accdnode.gif"
var I32= new Image(24,22); I32.src= "/themes/default/accss.gif"
var I33= new Image(24,22); I33.src= "/themes/default/accma.gif"
var I34= new Image(24,22); I34.src= "/themes/default/accact.gif"
var I35= new Image(24,22); I35.src= "/themes/default/diract.gif"
var I36= new Image(24,22); I36.src= "/themes/default/wccprxact.gif"
var I37= new Image(24,22); I37.src= "/themes/default/accprobss.gif"
var I38= new Image(24,22); I38.src= "/themes/default/accrtm.gif"
var I39= new Image(24,22); I39.src= "/themes/default/accprobrtm.gif"
var I40= new Image(24,22); I40.src= "/themes/default/accfv.gif"
var I41= new Image(24,22); I41.src= "/themes/default/accreadlog.gif"
var I42= new Image(24,22); I42.src= "/themes/default/accanalog.gif"
var I43= new Image(24,22); I43.src= "/themes/default/accprobcomp.gif"
var I44= new Image(24,22); I44.src= "/themes/default/accfileread.gif"
var I45= new Image(24,22); I45.src= "/themes/default/accfiledone.gif"
var I46= new Image(24,22); I46.src= "/themes/default/accprobrep.gif"
var I47= new Image(24,22); I47.src= "/themes/default/accprobma.gif"
var I48= new Image(24,22); I48.src= "/themes/default/accdss.gif"
var I49= new Image(24,22); I49.src= "/themes/default/probrtm.gif"
var I50= new Image(24,22); I50.src= "/themes/default/prxy.gif"
var I51= new Image(24,22); I51.src= "/themes/default/prxyact.gif"
var I52= new Image(24,22); I52.src= "/themes/default/prxydnode.gif"
var I53= new Image(24,22); I53.src= "/themes/default/prxyprob.gif"
var I54= new Image(24,22); I54.src= "/themes/default/qmark.gif"

// Definition of class Folder
// *****************************************************************

function Folder(folderDescription, hreference, closedIcon, openIcon, statusTxt, named) //constructor
{
  //constant data
  this.desc = folderDescription
  this.hreference = hreference
  this.id = -1
  this.navObj = 0
  this.iconImg = 0
  this.nodeImg = 0
  this.isLastNode = 0
  this.type = 'folder'
  this.statusText = statusTxt
  this.named = named

  //dynamic data
  this.isOpen = true
  this.iconSrc = closedIcon
  this.iconOpen = openIcon
  this.iconClosed = closedIcon
  this.children = new Array
  this.nChildren = 0
  if (statusTxt == "infoNeeded")
  {
    this.selColor = "orange"
  }
  else
  {
    this.selColor = SELECTCOLOR
  }

  //methods
  this.initialize = initializeFolder
  this.setState = setStateFolder
  this.addChild = addChild
  this.createIndex = createEntryIndex
  this.escondeBlock = escondeBlock
  this.esconde = escondeFolder
  this.mostra = mostra
  this.renderOb = drawFolder
  this.totalHeight = totalHeight
  this.subEntries = folderSubEntries
  this.outputLink = outputFolderLink
  this.blockStart = blockStart
  this.blockEnd = blockEnd
}

function initializeFolder(level, lastNode, leftSide)
{
  var j=0
  var i=0
  var numberOfFolders
  var numberOfDocs
  var nc

  nc = this.nChildren
  this.createIndex()
  var auxEv = ""

  if (browserVersion > 0)
    auxEv = "<a href='javascript:clickOnNode2("+this.id+")' onMouseOver=\"window.status=''; return true\">"
  else
    auxEv = "" /*"<a>"*/

  if (level>0)
    if (lastNode) //the last child in the children array
    {
      this.renderOb(leftSide + auxEv + "<img name='nodeIcon" + this.id + "' id='nodeIcon" + this.id + "' src='/themes/default/ftv2mlastnode.gif' width=16 height=22 border=0></a>")
      leftSide = leftSide + "<img src='/themes/default/ftv2blank.gif' width=16 height=22>"
      this.isLastNode = 1
    }
    else
    {
      this.renderOb(leftSide + auxEv + "<img name='nodeIcon" + this.id + "' id='nodeIcon" + this.id + "' src='/themes/default/ftv2mnode.gif' width=16 height=22 border=0></a>")
      leftSide = leftSide + "<img src='/themes/default/ftv2vertline.gif' width=16 height=22>"
      this.isLastNode = 0
    }
  else
    this.renderOb("")

  if (nc > 0)
  {
    level = level + 1
    for (i=0 ; i < this.nChildren; i++)
    {
      if (i == this.nChildren-1)
	this.children[i].initialize(level, 1, leftSide)
      else
	this.children[i].initialize(level, 0, leftSide)
      }
  }
}


function setStateFolder(isOpen)
{
  var subEntries
  var totalHeight
  var fIt = 0
  var i=0

  if (isOpen == this.isOpen)
    return

  if (browserVersion == 2)
  {
    totalHeight = 0
    for (i=0; i < this.nChildren; i++)
      totalHeight = totalHeight + this.children[i].navObj.clip.height
      subEntries = this.subEntries()
    if (this.isOpen)
      totalHeight = 0 - totalHeight
    for (fIt = this.id + subEntries + 1; fIt < nEntries; fIt++)
      indexOfEntries[fIt].navObj.moveBy(0, totalHeight)
  }
  this.isOpen = isOpen
  propagateChangesInState(this)
}

function propagateChangesInState(folder)
{
  var i=0

  if (folder.isOpen)
  {
    if (folder.nodeImg)
      if (folder.isLastNode)
	folder.nodeImg.src = "/themes/default/ftv2mlastnode.gif"
      else
	folder.nodeImg.src = "/themes/default/ftv2mnode.gif"
    if (folder.iconOpen != "")
      folder.iconImg.src = folder.iconOpen
    for (i=0; i<folder.nChildren; i++)
      folder.children[i].mostra()
  }
  else
  {
    if (folder.nodeImg)
      if (folder.isLastNode)
	folder.nodeImg.src = "/themes/default/ftv2plastnode.gif"
      else
	folder.nodeImg.src = "/themes/default/ftv2pnode.gif"
    folder.iconImg.src = folder.iconClosed
    for (i=0; i<folder.nChildren; i++)
      folder.children[i].esconde()
  }
}

function escondeFolder()
{
  this.escondeBlock()

  this.setState(0)
}

function drawFolder(leftSide)
{
  var idParam = "id='folder" + this.id + "'"
  var selAttr = ""

  if (browserVersion == 2) {
    if (!doc.yPos)
      doc.yPos=20
  }

  if (browserVersion == 1 || browserVersion == 3)
  {
    if (this.named == currSelect)
    {
      selAttr = " bgcolor='" + this.selColor + "'"
    }
  }

  this.blockStart("folder")

  doc.write("<tr><td>")
  doc.write(leftSide)
  this.outputLink()
  doc.write("<img id='folderIcon" + this.id + "' name='folderIcon" + this.id + "' src='" + this.iconSrc+"' border=0></a>")
  doc.write("</td><td valign=middle nowrap" + selAttr + ">")
  if (USETEXTLINKS)
  {
    this.outputLink()
    doc.write(this.desc + "</a>")
  }
  else
  {
    doc.write(this.desc)
  }
  if( this.named == "root" )
  {
    doc.write( '</td><td valign=middle nowrap><A HREF="javascript:document.location.reload(true)" onMouseOver="window.status=\'Click to manually refresh this Navigation Tree\'; return true">' +
		'<IMG SRC="/themes/default/refresh.gif" WIDTH="22" HEIGHT="22" ALT="Click to manually refresh this Navigation Tree" border=0></A>' )
  }

  doc.write("</td>")

  this.blockEnd()

  if (browserVersion == 1) {
    this.navObj = doc.all["folder"+this.id]
    this.iconImg = doc.all["folderIcon"+this.id]
    this.nodeImg = doc.all["nodeIcon"+this.id]
  } else if (browserVersion == 2) {
    this.navObj = doc.layers["folder"+this.id]
    this.iconImg = this.navObj.document.images["folderIcon"+this.id]
    this.nodeImg = this.navObj.document.images["nodeIcon"+this.id]
    doc.yPos=doc.yPos+this.navObj.clip.height
  } else if (browserVersion == 3) {
    this.navObj = doc.getElementById("folder"+this.id)
    this.iconImg = doc.getElementById("folderIcon"+this.id)
    this.nodeImg = doc.getElementById("nodeIcon"+this.id)
  }
}

function outputFolderLink()
{
  if (this.hreference)
  {
    doc.write("<a href='" + this.hreference + "' TARGET=\"main\" onMouseOver=\"window.status='" + this.statusText + "'; return true\" onMouseOut=\"window.status=' '; return true\"")
    if (browserVersion > 0)
    {
      doc.write("onClick='javascript:clickOnFolder("+this.id+")'")
    }
    doc.write(">")
  }
  else
    doc.write("" /*"<a>"*/)
//  doc.write("<a href='javascript:clickOnFolder("+this.id+")'>")
}

function addChild(childNode)
{
  this.children[this.nChildren] = childNode
  this.nChildren++
  return childNode
}

function folderSubEntries()
{
  var i = 0
  var se = this.nChildren

  for (i=0; i < this.nChildren; i++){
    if (this.children[i].children) //is a folder
      se = se + this.children[i].subEntries()
  }

  return se
}


// Definition of class Item (a document or link inside a Folder)
// *************************************************************

function Item(itemDescription, itemLink, closedIcon, statusTxt, named) // Constructor
{
  // constant data
  this.desc = itemDescription
  this.link = itemLink
  this.id = -1 //initialized in initalize()
  this.navObj = 0 //initialized in render()
  this.iconImg = 0 //initialized in render()
  this.iconSrc = closedIcon
  this.statusText = statusTxt
  this.iconSrc = closedIcon
  this.type = 'item'
  this.named = named
  if (this.iconSrc.src == I54.src)
  {
    this.selColor = "orange"
  }
  else
  {
    this.selColor = SELECTCOLOR
  }

  // methods
  this.initialize = initializeItem
  this.createIndex = createEntryIndex
  this.esconde = escondeBlock
  this.mostra = mostra
  this.renderOb = drawItem
  this.totalHeight = totalHeight
  this.blockStart = blockStart
  this.blockEnd = blockEnd
}

function initializeItem(level, lastNode, leftSide)
{
  this.createIndex()

  if (level>0)
    if (lastNode) //the last 'brother' in the children array
    {
      this.renderOb(leftSide + "<img src='/themes/default/ftv2lastnode.gif' width=16 height=22>")
      leftSide = leftSide + "<img src='/themes/default/ftv2blank.gif' width=16 height=22>"
    }
    else
    {
      this.renderOb(leftSide + "<img src='/themes/default/ftv2node.gif' width=16 height=22>")
      leftSide = leftSide + "<img src='/themes/default/ftv2vertline.gif' width=16 height=22>"
    }
  else
    this.renderOb("")
}

function drawItem(leftSide)
{
  var selAttr = ""

  if (browserVersion == 1 || browserVersion == 3)
  {
    if (this.named == currSelect)
    {
      selAttr = " bgcolor='" + this.selColor + "'"
    }
  }

  this.blockStart("item")

  doc.write("<tr><td>")
  doc.write(leftSide)
  doc.write("<a href=" + this.link + " onClick=\"javascript:selectMember('" + this.named + "')\" onMouseOver=\"window.status='" + this.statusText + "'; return true\" onMouseOut=\"window.status=''; return true\">")
  doc.write("<img id='itemIcon"+this.id+"' ")
  doc.write("src='"+this.iconSrc+"' border=0>")
  doc.write("</a>")
  doc.write("</td><td valign=middle nowrap" + selAttr + ">")
  if (USETEXTLINKS)
  {
    doc.write("<a href=" + this.link + " onClick=\"javascript:selectMember('" + this.named + "')\" onMouseOver=\"window.status='" + this.statusText + "'; return true\" onMouseOut=\"window.status=' '; return true\">" + this.desc + "</a>")
  }
  else
  {
    doc.write(this.desc)
  }

  this.blockEnd()

  if (browserVersion == 1) {
    this.navObj = doc.all["item"+this.id]
    this.iconImg = doc.all["itemIcon"+this.id]
  } else if (browserVersion == 2) {
    this.navObj = doc.layers["item"+this.id]
    this.iconImg = this.navObj.document.images["itemIcon"+this.id]
    doc.yPos=doc.yPos+this.navObj.clip.height
  } else if (browserVersion == 3) {
    this.navObj = doc.getElementById("item"+this.id)
    this.iconImg = doc.getElementById("itemIcon"+this.id)
  }
}


// Methods common to both objects (pseudo-inheritance)
// ********************************************************

function mostra()
{
  if (browserVersion == 1 || browserVersion == 3)
    this.navObj.style.display = "block"
  else
    this.navObj.visibility = "show"
}

function escondeBlock()
{
  if (browserVersion == 1 || browserVersion == 3) {
    if (this.navObj.style.display == "none")
      return
    this.navObj.style.display = "none"
  } else {
    if (this.navObj.visibility == "hiden")
      return
    this.navObj.visibility = "hiden"
  }
}

function blockStart(idprefix) {
  var idParam = "id='" + idprefix + this.id + "'"

  if (browserVersion == 2)
  {
    doc.write("<layer "+ idParam + " top=" + doc.yPos + " visibility=show>")
  }

  if (browserVersion == 3) //N6 has bug on display property with tables
  {
    doc.write("<div " + idParam + " style='display:block; position:block;'>")
  }

  doc.write("<table border=0 cellspacing=0 cellpadding=0 ")

  if (browserVersion == 1)
  {
    doc.write(idParam + " style='display:block; position:block; '>")
  }
  else
  {
    doc.write(">")
  }
}

function blockEnd() {
  doc.write("</table>")

  if (browserVersion == 2)
  {
    doc.write("</layer>")
  }
  if (browserVersion == 3)
  {
    doc.write("</div>")
  }
}

function createEntryIndex()
{
  this.id = nEntries
  indexOfEntries[nEntries] = this
  nEntries++
}

function selectMember(nameId)
{
  var oldId = currSelect
  currSelect = nameId

  //now lets change the attribute via the DOM
  if (browserVersion == 1 || browserVersion == 3)//IE or Gecko
  {
    var i=0
    var testMem

    for(i=0; i < nEntries; i++)
    {
      testMem = indexOfEntries[i]

      if(testMem.named == nameId)
      {
        var table = document.getElementById("" + testMem.type + i);
        var cel = table.getElementsByTagName("td")[1];
        cel.setAttribute('bgColor',testMem.selColor)
      }
      else if(testMem.named == oldId)
      {
        var table = document.getElementById("" + testMem.type + i);
        var cel = table.getElementsByTagName("td")[1];
        cel.setAttribute('bgColor','')
      }
    }
  }

  //Send message update to the WEBES Director
  if( top.dump.document == null)
    alert("System Event Analyzer is missing a frame, please logoff and log back on!");
  top.open('/tree?type=select&index=' + nameId + "&" + prof + "&" + cid,'dump');
}

// total height of subEntries open
function totalHeight() //used with browserVersion == 2
{
  var h = this.navObj.clip.height
  var i = 0

  if (this.isOpen) //is a folder and _is_ open
    for (i=0 ; i < this.nChildren; i++)
      h = h + this.children[i].totalHeight()

  return h
}


// Events
// *********************************************************

function clickOnFolder(folderId)
{
  var clicked = indexOfEntries[folderId]

  selectMember(clicked.named)

  if (!clicked.isOpen)
    clickOnNode2(folderId)

  return

  if (clicked.isSelected)
    return
}

function clickOnNode2(folderId)
{
  window.status='';
  var clickedFolder = 0
  var state = 0

  clickedFolder = indexOfEntries[folderId]
  state = clickedFolder.isOpen
  clickedFolder.setState(!state) //open<->close

  //Make sure Parents are open if node is opened
  if( clickedFolder.isOpen == true )
  {
	openParent( clickedFolder );
  }
  //Send message update to the WEBES Director
  if( clickedFolder.isOpen == true )
  {
	//Update opened
	if( top.dump.document == null)
		alert("System Event Analyzer is missing a frame, please logoff and log back on!");
	top.open('/tree?type=open&index=' + clickedFolder.named + "&" + prof + "&" + cid,'dump');
  }
  else if( clickedFolder.isOpen == false )
  {
	//Update closed
	if( top.dump.document == null)
		alert("System Event Analyzer is missing a frame, please logoff and log back on!");
	top.open('/tree?type=close&index=' + clickedFolder.named + "&" + prof + "&" + cid,'dump');
  }
}

function clickOnNode(folderId)
{
  var clickedFolder = 0
  var state = 0

  clickedFolder = indexOfEntries[folderId]
  state = clickedFolder.isOpen

  clickedFolder.setState(!state) //open<->close

  //Make sure Parents are open if node is opened
  if( clickedFolder.isOpen == true )
  {
	openParent( clickedFolder );
  }
}

function openParent( child )
{
  var parent = child.parent
  while (parent != null)
  {
    if( parent.isOpen == false )
    {
       parent.setState( true );
    }
    parent = parent.parent
  }
}

// Auxiliary Functions for Folder-Tree backward compatibility
// ***********************************************************

function gF(description, hreference, closedIcon, openIcon, statusTxt, named)
{
  closedIcon = closedIcon.src
  if(openIcon != "")
	openIcon = openIcon.src
  folder = new Folder(description, hreference, closedIcon, openIcon, statusTxt, named)
  return folder
}

function gL(target, description, linkData, closedIcon, statusTxt, named)
{
  fullLink = ""

  if (target==0)
  {
    fullLink = "'"+linkData+"' target=\"main\""
  }
  else
  {
    if (target==1)
       fullLink = "'"+linkData+"' target=_blank" //took out 'http:// at beginning
    else
       fullLink = "'"+linkData+"' target=\"main\"" //ditto
  }
  closedIcon = closedIcon.src
  linkItem = new Item(description, fullLink, closedIcon, statusTxt, named)
  return linkItem
}

function iFr(parentFolder, childFolder)
{
  //childFolder.parent = parentFolder;
  return parentFolder.addChild(childFolder)
}

function iDc(parentFolder, document)
{
  //document.parent = parentFolder;
  parentFolder.addChild(document)
}

function dirtyRefresh(name)
{
    //For every failed page refresh do it manually
    //in Netscape 4
    if(name == "folderIcon0")
    {
	  //Slow it down
	  if(browserVersion == 2 && timerActive == false)
	  {
	    timerActive = true;
	    setTimeout("doThatRefresh()",1000);
	  }
    }
}

function doThatRefresh()
{
    timerActive = false;
    top.tree.document.location.reload(true);
}

function iOuN(TreeObject, Image)
{
  if( TreeObject == null )
  {
    dirtyRefresh("folderIcon0");
  } else {
      var name = "itemIcon" + TreeObject.id
      var pic = top.tree.document.images[name]
      if( pic != null && Image != null )
	pic.src = Image.src
      else
	dirtyRefresh(name);
  }
}

function iOuF(TreeObject, Image)
{
  if( TreeObject == null )
  {
    dirtyRefresh("folderIcon0");
  } else {
      var name = "folderIcon" + TreeObject.id
      var pic = top.tree.document.images[name]
      if( pic != null && Image != null )
	pic.src = Image.src
      else
	dirtyRefresh(name);
  }
}

function iPuN(TreeObject, CImage, OImage)
{
  if( TreeObject == null )
  {
    dirtyRefresh("folderIcon0");
  } else {
      TreeObject.closedIcon = CImage.src
      TreeObject.openIcon = OImage.src
      var name = "itemIcon" + TreeObject.id
      var pic = top.tree.document.images[name]
      if( pic != null && CImage != null )
	pic.src = CImage.src
      else
	dirtyRefresh(name);
  }
}

function iPuF(TreeObject, CImage, OImage)
{
  if( TreeObject == null )
  {
    dirtyRefresh("folderIcon0");
  } else {
      TreeObject.closedIcon = CImage.src
      TreeObject.openIcon = OImage.src
      var name = "folderIcon" + TreeObject.id
      var pic = top.tree.document.images[name]
      if( pic != null && CImage != null )
	pic.src = CImage.src
      else
	dirtyRefresh(name);
  }
}
// Main function
// *************

// This function uses an object (navigator)
function initializeDocument()
{
  switch(navigator.family)
  {
    case 'ie4':
      browserVersion = 1 //IE4
      break;
    case 'nn4':
      browserVersion = 2 //NS4
      break;
    case 'gecko':
      browserVersion = 3 //NS6
      break;
	default:
	  browserVersion = 0 //other
	  break;
  }
  doc.write("<html><head></head><body link=black vlink=black alink=black bgcolor=white>")
  root.initialize(0, 1, "")

  if (browserVersion == 2)
  {
    doc.write("<layer top="+indexOfEntries[nEntries-1].navObj.top+">&nbsp;</layer>")
  }

  //The tree starts in full display
  if (!STARTALLOPEN)
  {
	  if (browserVersion > 0) {
		// close the whole tree
		clickOnNode(0)
		// open the root folder
		clickOnNode(0)
	  }
  }

}

// Global variables
// ****************

//These two variables are overwriten on defineMyTree.js if needed be
USETEXTLINKS = 1
STARTALLOPEN = 0
indexOfEntries = new Array
nEntries = 0
doc = document
browserVersion = 0
selectedFolder=0
var timerActive = false;

//Constants used to reduce bandwidth
/* Phrases */
P1 = "Click to view Groups Maintenance screen.";
P2 = "Click to view Add/Remove Nodes screen for ";
P3 = "Shows real time system log monitoring on ";
P4 = "Shows full view of system log on ";
P5 = "Shows log file selection screen for ";
P6 = "Process log file: ";
P7 = "Display Problem Reports / Events / Configuration Entries for log file: ";
P8 = "System Log";
P9 = "Real Time Monitoring";
P10= "Full View";
P11= "Shows category maintanence screen for ";
P12= "Other Logs"
P13= "Activate this node..."
P14= "Attempts to activate node "
P15= "Display "
P16= " Problem Reports / Events / Configuration Entries"
P17= " Events / Configuration Entries"
P18= "Analyzing "
P19= " Log File"
P20= "Reading "
P21= "Process "
P22= "Shows log file selection screen to place file within "
P23= "Shows real time storage event monitoring on ";
P24= "Shows full view of storage events on ";
P25= "Click to update tree with currently monitored storage cells on "
P26= "Traps";
P27= "Shows real time SNMP trap monitoring on ";
